Disclosure Date 2021/10/25

CVE-2021-41175

Cross-site Scripting in Pi-hole

Pi-holeにおけるXSS(クロスサイトスクリプティング)

Credit

stypr (@stereotype32)

Affected-Versions

v5.8 and earlier

CWE

CWE-79

Description

Pi-hole's Web interface (based on AdminLTE) provides a central location to manage one's Pi-hole and review the statistics generated by FTLDNS. Prior to version 5.8, cross-site scripting is possible when adding a client via the groups-clients management page. This issue was patched in version 5.8.

Product-URLs

https://pi-hole.net/

Reference

  • https://github.com/pi-hole/AdminLTE/security/advisories/GHSA-mhr8-7rvg-8r43
  • https://github.com/pi-hole/AdminLTE/releases/tag/v5.8
  • https://github.com/pi-hole/AdminLTE/commit/01191c7a1b8d5032991ed9d88e0db8d3dbec744d

Back